Cập nhật Bash cho OSX để vá lỗi Shellshock

nghiêm trọng trên hệ thống Linux – UNIX lần lượt được các nhà phát hành Linux sửa lỗi, Apple cũng vừa tung ra bản vá lỗi cho trên Mac,nó vá lỗi trên OS X 10.9 Mavericks, OS X 10.8 Mountain Lion và OS X 10.7 Lion. Chưa có bản vá lỗi dành cho Yosemite (nếu bạn đang chạy developer preview)

bash-30-9

Nếu bạn chưa làm theo bài hướng dẫn khắc phục thủ công lỗi Shellshock, bạn có thể tải các bản vá do Apple phát hành theo link dưới đây

Link tải các bản vá:

Lỗ hổng bảo mật này đang được đánh giá là cực kỳ nghiêm trọng (độ nguy hiểm 10/10 do National Cyber Awareness System đánh giá) Tên mã của nó là CVE-2014-6271, tên thường gọi là Shellshock. Lỗi này ảnh hưởng đến tất cả các máy Linux và Unix, tức là Mac và các máy chạy Linux đều bị ảnh hưởng, theo chuyên gia, lỗi này tồn tại đã 20 năm nay.

Hiểu nôm na, Shell là một chương trình giúp bạn giao tiếp với máy tính, khi hiểu rõ shell và dòng lệnh, bạn có thể làm rất nhiều điều nguy hiểm và cao cấp với máy tính của bạn, bạn thường phải dùng một giao diện dòng lệnh để chạy Shell, trên Linux thì có nhiều giao diện, có thể là Bash, CSH vv và vv, Nếu Bash là chương trình shell mặc định của máy bạn, bạn đang có nguy cơ bị tấn công. Hacker có thể dùng một script đơn giản qua mạng, truy cập máy bạn, và không cần mật khẩu hay gì cả, họ có thể truy cập file, chạy phần mềm, đánh cắp thông tin vv và vv.

bash-30-9-1

Theo: Tinhte

Bài viết liên quan